Home > Failed To > Unable To Locate Package Libmysql-ruby

Unable To Locate Package Libmysql-ruby

Contents

Any help would be greatly appreciated. After installed, just re-enter the command to gem install mysql2 or if necessary, sudo gem install mysql2, if you are getting permission denied problems. When you're done, gem will install –Lukasz Muzyka Jan 8 '15 at 3:08 add a comment| up vote 2 down vote hi this might be happening for two reason. 1) You I think you're right, I do need to differentiate between the two as this has been mainly my problem. Source

Or it's merely an ordinary mistake? Generalization of winding number to higher dimensions Sunlight and Vampires I never succeed in thickening sauces with pasta water. How do I use threaded inserts? share|improve this answer edited Oct 16 '10 at 17:11 answered Sep 14 '10 at 15:59 lofte 67866 1 ruby 1.6.2 or ruby 1._9_.2? –Tim Snowhite Sep 20 '10 at 22:07 http://stackoverflow.com/questions/11881785/gem-install-mysql-failed-to-build-gem-native-extension-mac-lion

Unable To Locate Package Libmysql-ruby

Required fields are marked * Name * Email * Website CAPTCHA Code * Comment You may use these HTML tags and attributes:

This gem was compiled for 6.1.3 but the client library is 5.5.8. (RuntimeError), simply copy libmysql.dll from the connector/lib folder to your /bin folder. Already have an account? Total number of points Why isn't the religion of R'hllor, The Lord of Light, dominant? Error Installing Mysql2: Error: Failed To Build Gem Native Extension. Why didn't Dumbledore appoint the real Mad Eye Moody to teach Defense Against Dark Arts?

no checking for main() in -lmygcc... Failed To Build Gem Native Extension Mysql2 Cheers mate! –Cynthia Sanchez Jun 20 '16 at 12:31 add a comment| up vote 2 down vote I had also forgotten to actually install MySQL in the first place. What does "went through the guards of the broadsword" mean? The gem is successfully installed.

What is a non-vulgar synonym for this swear word meaning "an enormous amount"? Error Installing Mysql: Error: Failed To Build Gem Native Extension. What am I doing wrong? Which was the last major war in which horse mounted cavalry actually participated in active fighting? share|improve this answer answered Jul 2 '15 at 3:49 tzharg 1086 add a comment| up vote 1 down vote Just a follow up ...

Failed To Build Gem Native Extension Mysql2

Another option, perhaps, is to install MAMP and use that? http://stackoverflow.com/questions/3608287/error-installing-mysql2-failed-to-build-gem-native-extension Search for: Recent Posts Smoothing out your workflow with git, github, RoR and Capistrano Joomla out of memory error with exception.php Using magic_quotes_gpc or addslashes() Seeding your rails database Rails background Unable To Locate Package Libmysql-ruby How to prove this I do not know – I’m confused and still searching for the answer. Gem Install Mysql2 Fails What's the male version of "hottie"?

What does the expression 'seven for seven thirty ' mean? this contact form no checking for main() in -lnsl... ERROR: Error installing mysql: ERROR: Failed to build gem native extension. /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby extconf.rb extconf.rb:4: warning: Insecure world writable dir /usr/bin in PATH, mode 040777 extconf.rb:4: warning: Insecure world writable dir /usr/bin asked 7 years ago viewed 10152 times active 6 years ago Linked 394 Error installing mysql2: Failed to build gem native extension 9 gem install mysql fail 0 sudo rake with Gem Install Mysql2 Windows

Spacemonkey answer fixed it. –Lucio Oct 4 '15 at 6:36 add a comment| 23 Answers 23 active oldest votes up vote 812 down vote accepted On Ubuntu/Debian and other distributions using have_library does not reference the current compile context, nor does it look in the ruby/bin directory. So as suggested in this post I tried 'brew install mysql' and that quitted saying that mysql version so and so already installed. http://itivityglobal.com/failed-to/failed-to-locate-supported-file.html Does every data type just boil down to nodes with pointers?

Process finished with exit code 5 I have tried a number of other things from around the web as well: Running gem install mysql2 from the command line gets me the Error Installing Rmagick: Error: Failed To Build Gem Native Extension. mysql2 only needs this file to be in the lib directory during compilation. Please note: JavaScript is required to post comments.

If you get a cannot load mysql.so afterwards, copy the libmysql.dll to Ruby/bin pkubryk commented Apr 10, 2013 Hi, I tried the above commands : C:/Work/newArch/Ruby200/bin/ruby.exe extconf.rb --with-mysql-lib=X:\lib --wi th-mysql-include=X:\include --with-mysql-dir=X:

share|improve this answer answered Nov 29 '14 at 11:17 Kitanotori 19011 add a comment| up vote 0 down vote Solution only works on Mac OS X If you've installed MySQL with This could take a while... What is a non-vulgar synonym for this swear word meaning "an enormous amount"? Gem Install Mysql2 Mac Make sure that `gem install mysql2 -v '0.3.11'` succeeds before bundling.

After this, I again tried bundle install and then everything is working fine as normal. [ Even due to this xcode updation, I had problem with my tower also.] share|improve this To critique or request clarification from an author, leave a comment below their post - you can always comment on your own posts, and once you have sufficient reputation you will Agree to the license by opening Xcode.app or running: xcodebuild -license Then I tried this sudo xcodebuild -license and type 'agree' at the end. Check This Out To help ease that transition, the compiler will temporarily accept an option to downgrade the error to a warning: -Wno-error=unused-command-line-argument-hard-error-in-future Therefore, you may want to try running: ARCHFLAGS=-Wno-error=unused-command-line-argument-hard-error-in-future gem install mysql2

share|improve this answer edited Mar 4 '14 at 20:14 Observer 1,08011134 answered Jan 3 '13 at 5:32 downrightmike 411 This was the only solution that worked for me! Same output. –ExiRe Aug 9 '12 at 11:01 2 You could giving the gem installer the path to mysql_config: gem install mysql -- --with-mysql-config=/usr/local/mysql/bin/mysql_config –jstr Aug 9 '12 at 11:06

© Copyright 2017 itivityglobal.com. All rights reserved.